> ## Documentation Index
> Fetch the complete documentation index at: https://funnelfox.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Search user

> Search for users by email address.



## OpenAPI

````yaml /swagger/openapi-billing.json post /search_users
openapi: 3.0.0
info:
  title: OpenAPI3
  version: 1.0.0
servers:
  - url: https://billing.funnelfox.com/{org_id}/v1
    description: FunnelFox Billing API
    variables:
      org_id:
        default: your-org-id
        description: Your organization ID
security:
  - FunnelFoxSecretKey: []
paths:
  /search_users:
    post:
      tags:
        - Information
      summary: Search user
      description: Search for users by email address.
      parameters:
        - name: org_id
          in: path
          required: true
          description: Organization ID
          schema:
            type: string
          style: simple
          explode: false
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchUserIn'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsersOut'
components:
  schemas:
    SearchUserIn:
      properties:
        email:
          maxLength: 1024
          type: string
          nullable: true
      required:
        - email
      title: SearchUserIn
      type: object
    UsersOut:
      properties:
        users:
          items:
            $ref: '#/components/schemas/UserOut'
          title: Users
          type: array
      required:
        - users
      title: UsersOut
      type: object
    UserOut:
      properties:
        external_id:
          title: External Id
          type: string
      required:
        - external_id
      title: UserOut
      type: object
  securitySchemes:
    FunnelFoxSecretKey:
      type: apiKey
      in: header
      name: ff-secret-key
      description: Secret key for FunnelFox Billing API. Required for all requests.

````